Asterisk.org: Developer Documentation (28 Oct 2009)

Wed Oct 28 15:49:40 2009

## Asterisk developer's documentation

# iax2_trunk_peer Struct Reference

Collaboration diagram for iax2_trunk_peer:

[legend]

## Data Fields

struct sockaddr_in | addr
int | calls
unsigned int | lastsent
struct timeval | lasttxtime
ast_mutex_t | lock
struct iax2_trunk_peer * | next
struct timeval | rxtrunktime
int | sockfd
struct timeval | trunkact
unsigned char * | trunkdata
unsigned int | trunkdataalloc
unsigned int | trunkdatalen
int | trunkerror
struct timeval | txtrunktime

## Detailed Description

Definition at line 375 of file chan_iax2.c.

## Field Documentation

struct sockaddr_in addr`[read]`

Definition at line 378 of file chan_iax2.c.

Referenced by find_tpeer(), iax2_trunk_queue(), send_trunk(), and timing_read().

int calls

Definition at line 390 of file chan_iax2.c.

Referenced by iax2_trunk_queue(), and send_trunk().

unsigned int lastsent

Last sent time

Definition at line 383 of file chan_iax2.c.

Referenced by calc_txpeerstamp(), and find_tpeer().

struct timeval lasttxtime`[read]`

Last transmitted trunktime

Definition at line 381 of file chan_iax2.c.

Referenced by calc_txpeerstamp().

ast_mutex_t lock

Definition at line 376 of file chan_iax2.c.

Referenced by find_tpeer(), iax2_trunk_queue(), socket_read(), and timing_read().

struct iax2_trunk_peer* next`[read]`

Definition at line 388 of file chan_iax2.c.

Referenced by find_tpeer(), and timing_read().

struct timeval rxtrunktime`[read]`

Receive trunktime

Definition at line 380 of file chan_iax2.c.

Referenced by socket_read().

int sockfd

Definition at line 377 of file chan_iax2.c.

Referenced by find_tpeer(), and send_trunk().

struct timeval trunkact`[read]`

Last trunk activity

Definition at line 382 of file chan_iax2.c.

Referenced by calc_txpeerstamp(), find_tpeer(), iax2_trunk_expired(), and socket_read().

unsigned char* trunkdata

Definition at line 385 of file chan_iax2.c.

Referenced by iax2_trunk_queue(), and send_trunk().

unsigned int trunkdataalloc

Definition at line 387 of file chan_iax2.c.

Referenced by iax2_trunk_queue(), and timing_read().

unsigned int trunkdatalen

Definition at line 386 of file chan_iax2.c.

Referenced by iax2_trunk_queue(), send_trunk(), and timing_read().

int trunkerror

Definition at line 389 of file chan_iax2.c.

struct timeval txtrunktime`[read]`

Transmit trunktime

Definition at line 379 of file chan_iax2.c.

Referenced by calc_txpeerstamp().

The documentation for this struct was generated from the following file:

- chan_iax2.c